# Python Project Cookiecutter Template

This is a template to bootstrap a Python Project including the setup for
the KM3NeT CI facilities.

## Usage

You need to install `cookiecutter` on your computer first:

    pip install cookiecutter

To bootstrap a Python project, run:

    cookiecutter https://git.km3net.de/templates/python-project.git

The default `LICENSE` is MIT, feel free to replace it with the one you like.


## Additional Setup

After filling in the required metadata, create a Git repository on
https://git.km3net.de/projects/new and proceed with the repository
initialisation:

    cd project_dir
    git init
    git add .
    git commit -m 'Initial commit'
    git tag -a 'vX.Y.Z' -m 'Release X.Y.Z'
    git remote add origin git@git.km3net.de:YOURUSERNMAE/PROJECT.git
    git push -u origin master
    git push --tags


## Features

- unit tests
- automatic documentation generation
- API documentation
- continuous integration on the KM3NeT GitLab server
- and more...
